| Home | Libraries | People | FAQ | More

## Function template ifind_nth

boost::algorithm::ifind_nth — Find n-th algorithm ( case insensitive ).

## Synopsis

    // In header: <boost/algorithm/string/find.hpp>

    template<typename Range1T, typename Range2T>
      iterator_range< typename range_iterator< Range1T >::type >
      ifind_nth(Range1T & Input, const Range2T & Search, int Nth,
                const std::locale & Loc = std::locale());

## Description

Search for the n-th (zero-indexed) occurrence of the substring in the input. Searching is case insensitive.

Parameters: |
`Input` | A string which will be searched.
`Loc` | A locale used for case insensitive comparison
`Nth` | An index (zero-indexed) of the match to be found. For negative N, the matches are counted from the end of string.
`Search` | A substring to be searched for.
Returns: | An `iterator_range` delimiting the match. Returned iterator is either `Range1T::iterator` or `Range1T::const_iterator`, depending on the constness of the input parameter.
Notes: | This function provides the strong exception-safety guarantee